## Saxon.Api

Class DocumentBuilder

Class DomDestination

Class DynamicError

Class NullDestination

Class Processor

Class QName

Class SchemaManager

Class SchemaValidator

Class SequenceEnumerator

Class Serializer

Class StaticError

Class TextWriterDestination

Class XPathCompiler

Class XPathExecutable

Class XPathSelector

Class XQueryCompiler

Class XQueryEvaluator

Class XQueryExecutable

Class XdmAtomicValue

Class XdmDestination

Class XdmEmptySequence

Class XdmItem

Class XdmNode

Class XdmValue

Class XmlDestination

Class XsltCompiler

Class XsltExecutable

Class XsltTransformer

Enum RecoveryPolicy

Enum SchemaValidationMode

Enum TreeModel

Enum WhitespacePolicy

Enum XdmAxis

Interface IMessageListener

Interface IQueryResolver

Interface IResultDocumentHandler

Interface IXmlLocation

Interface SchemaResolver

## Saxon.Api
Class XdmValue

    public class XdmValue

implements IEnumerable

  An value in the XDM data model. A value is a sequence of zero or more items, each item being either an atomic value or a node.

  An `XdmValue` is immutable.

  A sequence consisting of a single item may be represented as an instance of `XdmItem`, which is a subtype of `XdmValue`.

Constructor Summary
`XdmValue()`

Property Summary
`int` | `Count` Get the number of items in the sequence

Method Summary
static`XdmValue` | `Wrap(net.sf.saxon.om.ValueRepresentation value)` Create an XdmValue from an underlying Saxon ValueRepresentation object. This method is provided for the benefit of applications that need to mix use of the Saxon .NET API with direct use of the underlying objects and methods offered by the Java implementation.
`ValueRepresentation` | `Unwrap()` Extract the underlying Saxon ValueRepresentation object from an XdmValue. This method is provided for the benefit of applications that need to mix use of the Saxon .NET API with direct use of the underlying objects and methods offered by the Java implementation.
`IList` | `GetList()` Get the sequence of items in the form of an `IList`
`IEnumerator` | `GetEnumerator()` Get the sequence of items in the form of an `IEnumerator`

Constructor Detail

### XdmValue

    public XdmValue()

Property Detail

### Count

    public int Count {get; }

  Get the number of items in the sequence

  returns
    The number of items in the sequence

Method Detail

### Wrap

    public XdmValue Wrap(net.sf.saxon.om.ValueRepresentation value)

  Create an XdmValue from an underlying Saxon ValueRepresentation object. This method is provided for the benefit of applications that need to mix use of the Saxon .NET API with direct use of the underlying objects and methods offered by the Java implementation.

  Parameters:
  `value` -
    An object representing an XDM value in the underlying Saxon implementation.
  returns
    An XdmValue that wraps the underlying Saxon value representation.

### Unwrap

    public ValueRepresentation Unwrap()

  Extract the underlying Saxon ValueRepresentation object from an XdmValue. This method is provided for the benefit of applications that need to mix use of the Saxon .NET API with direct use of the underlying objects and methods offered by the Java implementation.

  returns
    An object representing the XDM value in the underlying Saxon implementation.

### GetList

    public IList GetList()

  Get the sequence of items in the form of an `IList`

  returns
    The list of items making up this value. Each item in the list will be an object of type `XdmItem`

### GetEnumerator

    public IEnumerator GetEnumerator()

  Get the sequence of items in the form of an `IEnumerator`

  returns
    An enumeration over the list of items making up this value. Each item in the list will be an object of type `XdmItem`